Option Explicit On
Imports System.IO
Imports System.Text
Public Class HX_PGS_ERP_SYS
    Private m_ChildFormNumber As Integer
    Private ReadOnly 對話框(30), 已選捷徑(100) As String
    Dim sysnud As String
    Dim 系統關閉, 捷徑關閉, 無設定 As Boolean
    Dim NSD As Integer = 0
    Private Sub ShowNewForm(ByVal sender As Object, ByVal e As EventArgs) Handles 開新視窗_tsm.Click
        ' 建立子表單的新執行個體。
        ' 將它變成這個 MDI 表單的子表單，然後才顯示。
        Dim ChildForm As New Form With {
            .MdiParent = Me
        }
        m_ChildFormNumber += 1
        ChildForm.Text = "視窗 " & m_ChildFormNumber
        ChildForm.Show()
    End Sub
    Private Sub ExitToolsStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 結束_tsm.Click
        Me.Close()
    End Sub
    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 重疊顯示_tsm.Click
        Me.LayoutMdi(MdiLayout.Cascade)
    End Sub
    Private Sub TileVerticalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 垂直並排_tsm.Click
        Me.LayoutMdi(MdiLayout.TileVertical)
    End Sub
    Private Sub TileHorizontalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 水平並排_tsm.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)
    End Sub
    Private Sub ArrangeIconsToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 排列圖示_tsm.Click
        Me.LayoutMdi(MdiLayout.ArrangeIcons)
    End Sub
    Private Sub CloseAllToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles 全部關閉_tsm.Click
        ' 關閉父表單的所有子表單。
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next : MyMod.虛擬桌面開啟()
    End Sub
    Private Sub 語言轉換讀取()
        If 系統語言 = "繁體中文" Then : 語言 = "CH" : ElseIf 系統語言 = "English" Then : 語言 = "EN" : ElseIf 系統語言 = "Indonesian" Then : 語言 = "IN" : End If
        '------------------------採購管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        採購系統管理_tsm.Text = 系統語言字典("H001-189-" & 語言)
        請購單核準_tsm.Text = 系統語言字典("H001-175-" & 語言) : 請購單核準_lb.Text = 系統語言字典("H001-175-" & 語言)
        供應商管理_tsm.Text = 系統語言字典("H001-167-" & 語言) : 供應商管理_lb.Text = 系統語言字典("H001-167-" & 語言)
        供應商商品單價設定_tsm.Text = 系統語言字典("H001-157-" & 語言) : 供應商商品單價設定_lb.Text = 系統語言字典("H001-157-" & 語言)
        採購單一級核准_tsm.Text = 系統語言字典("H001-168-" & 語言) : 採購單一級核准_lb.Text = 系統語言字典("H001-168-" & 語言)
        採購單一覽表_tsm.Text = 系統語言字典("H001-169-" & 語言) : 採購單一覽表_lb.Text = 系統語言字典("H001-169-" & 語言)
        '------------------------人事管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        人事系統管理_tsm.Text = 系統語言字典("H001-101-" & 語言)
        人員薪資_tsm.Text = 系統語言字典("H001-272-" & 語言) : 人員薪資_lb.Text = 系統語言字典("H001-272-" & 語言)
        '------------------------財務管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        系統執行檔版本管理_tsm.Text = 系統語言字典("H001-149-" & 語言) : 系統執行檔版本管理_lb.Text = 系統語言字典("H001-149-" & 語言)
        每月零用金設定_tsm.Text = 系統語言字典("G000-238-" & 語言) : 每月零用金設定_lb.Text = 系統語言字典("G000-238-" & 語言)
        財務支付申請_tsm.Text = 系統語言字典("H001-112-" & 語言) : 財務支付申請_lb.Text = 系統語言字典("H001-112-" & 語言)
        財務支付審核_tsm.Text = 系統語言字典("H001-114-" & 語言) : 財務支付審核_lb.Text = 系統語言字典("H001-114-" & 語言)
        財務報表1_tsm.Text = 系統語言字典("G000-254-" & 語言) : 財務報表1_lb.Text = 系統語言字典("G000-254-" & 語言)
        財務報表2_tsm.Text = 系統語言字典("G000-255-" & 語言) : 財務報表2_lb.Text = 系統語言字典("G000-255-" & 語言)
        財務報表3_tsm.Text = 系統語言字典("G000-256-" & 語言) : 財務報表3_lb.Text = 系統語言字典("G000-256-" & 語言)
        財務報表4_tsm.Text = 系統語言字典("G000-257-" & 語言) : 財務報表4_lb.Text = 系統語言字典("G000-257-" & 語言)
        '------------------------系統-------------------------------------------------------------------------------------------------------------------------------------------------------
        桌面捷徑設定_tsm.Text = 系統語言字典("H001-145-" & 語言) : 水平並排_tsm.Text = 系統語言字典("H001-117-" & 語言) : 全部關閉_tsm.Text = 系統語言字典("H001-118-" & 語言)
        垂直並排_tsm.Text = 系統語言字典("H001-164-" & 語言) : 重疊顯示_tsm.Text = 系統語言字典("H001-177-" & 語言) : 排列圖示_tsm.Text = 系統語言字典("H001-191-" & 語言)
        結束_tsm.Text = 系統語言字典("H001-197-" & 語言) : 著作權_tss.Text = 系統語言字典("H001-198-" & 語言) : 視窗_tsm.Text = 系統語言字典("H001-199-" & 語言)
        開新視窗_tsm.Text = 系統語言字典("H001-200-" & 語言) : 檔案_tsm.Text = 系統語言字典("H001-217-" & 語言)
        資料庫系統管理_tsm.Text = 系統語言字典("H001-205-" & 語言) : sysnud = 系統語言字典("G000-102-" & 語言)
    End Sub
    Private Sub HX_PGS_ERP_SYS_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.Size = New Point(1366, 768) : MyMod.清單字體大小調整() : 語言轉換讀取()
        Dim screenBounds As Rectangle = Screen.PrimaryScreen.Bounds
        If screenBounds.Width < Me.Width Or screenBounds.Height < Me.Height Then : Me.WindowState = 2
        Else : Me.Left = (screenBounds.Width - Me.Width) / 2 : Me.Top = (screenBounds.Height - Me.Height) / 2 : End If
        '------------------------優化UI-------------------------------------------------------------------------------------------------------------------------------------------------
        Me.DoubleBuffered = True
        '------------------------系統登入時宣告-------------------------------------------------------------------------------------------------------------------------------------------------
        系統語言1_cb.Items.Clear() : 系統語言1_cb.Items.Add("繁體中文") : 系統語言1_cb.Items.Add("English") : 系統語言1_cb.Items.Add("Indonesian")
        '------------------------採購管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        If 登入人級別 = "00" Then : 請購單核準_tsm.Visible = True : 請購單核準_p.Visible = True : Else : 請購單核準_tsm.Visible = False : 請購單核準_p.Visible = False : End If
        If 登入人級別 = "00" Then : 供應商管理_tsm.Visible = True : 供應商管理_p.Visible = True : Else : 供應商管理_tsm.Visible = False : 供應商管理_p.Visible = False : End If
        If 登入人級別 = "00" Then : 供應商商品單價設定_tsm.Visible = True : 供應商商品單價設定_p.Visible = True
        Else : 供應商商品單價設定_tsm.Visible = False : 供應商商品單價設定_p.Visible = False : End If
        If 登入人級別 = "00" Then : 採購單一覽表_tsm.Visible = True : 採購單一覽表_p.Visible = True : Else : 採購單一覽表_tsm.Visible = False : 採購單一覽表_p.Visible = False : End If
        採購單一級核准_tsm.Visible = CC(73) : 採購單一級核准_p.Visible = CC(73)
        If 採購單一級核准_tsm.Visible = True Then : 捷徑名稱(捷徑數量) = "BC06" : 顯示名稱(捷徑數量) = 採購單一級核准_tsm.Text : 捷徑類別(捷徑數量) = "採購" : 捷徑數量 += 1 : End If
        '------------------------人事管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        人員薪資_tsm.Visible = CC(81) : 人員薪資_p.Visible = CC(81)
        If 人員薪資_tsm.Visible = True Then : 捷徑名稱(捷徑數量) = "FC08" : 顯示名稱(捷徑數量) = 人員薪資_tsm.Text : 捷徑類別(捷徑數量) = "人事" : 捷徑數量 += 1 : End If
        '------------------------財務管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        每月零用金設定_tsm.Visible = True : 每月零用金設定_p.Visible = True
        If 每月零用金設定_tsm.Visible = True Then : 捷徑名稱(捷徑數量) = "GC01" : 顯示名稱(捷徑數量) = 每月零用金設定_tsm.Text : 捷徑類別(捷徑數量) = "其他" : 捷徑數量 += 1 : End If

        If 登入人級別 = "00" Then : 財務報表1_tsm.Visible = True : 財務報表1_p.Visible = True : Else : 財務報表1_tsm.Visible = False : 財務報表1_p.Visible = False : End If
        If 登入人級別 = "00" Then : 財務報表2_tsm.Visible = True : 財務報表2_p.Visible = True : Else : 財務報表2_tsm.Visible = False : 財務報表2_p.Visible = False : End If
        If 登入人級別 = "00" Then : 財務報表3_tsm.Visible = True : 財務報表3_p.Visible = True : Else : 財務報表3_tsm.Visible = False : 財務報表3_p.Visible = False : End If
        If 登入人級別 = "00" Then : 財務報表4_tsm.Visible = True : 財務報表4_p.Visible = True : Else : 財務報表4_tsm.Visible = False : 財務報表4_p.Visible = False : End If
        If 登入人級別 = "00" Then : 財務支付申請_tsm.Visible = True : 財務支付申請_p.Visible = True : Else : 財務支付申請_tsm.Visible = False : 財務支付申請_p.Visible = False : End If
        If 登入人級別 = "00" Then : 財務支付審核_tsm.Visible = True : 財務支付審核_p.Visible = True : Else : 財務支付審核_tsm.Visible = False : 財務支付審核_p.Visible = False : End If
        '------------------------資料庫管理系統-------------------------------------------------------------------------------------------------------------------------------------------------
        系統執行檔版本管理_tsm.Visible = CC(4) : 系統執行檔版本管理_p.Visible = CC(4)
        If CC(4) = True Then : 捷徑名稱(捷徑數量) = "GC01" : 顯示名稱(捷徑數量) = 系統執行檔版本管理_tsm.Text : 捷徑類別(捷徑數量) = "其他" : 捷徑數量 += 1 : End If
        桌面捷徑設定_tsm.Visible = False
        採購系統管理_tsm.Visible = CC(6) : 人事系統管理_tsm.Visible = CC(22)
    End Sub
    Private Sub HXGPSERPSYS_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        If 登入人級別 = "00" Then : Me.Text = Me.Text & "  --  " & g_conn_type & "  --  " & gUserName & "  --  系統版本  :" & 版本 & " -- IP : " & 登入人IP
        Else : Me.Text = Me.Text & "  --  " & g_conn_type & "  --  " & gUserName & "  --  系統版本  :" & 版本 : End If

        系統語言1_cb.Text = 系統語言
        '------------------------系統閒置登出宣告-----------------------------------------------------------------------------------------------------------------------------------------------
        SQL_系統閒置時間設定讀取() : If dr.Read() Then : timeExit = dr("timeExit") : timeExit2 = dr("timeExit2") : End If : conn.Close()
        Timer1.Enabled = False : Timer2.Enabled = False : 主頁開啟 = True : 重登確認 = False : timeNow = 0 : timeNow2 = 0
        重登計時() : 重置() : 不變形 = False

        '-----------------------帳號下拉清單------------------------------------------------------------------------------------------------------------
        SQL_帳號讀取()
        使用者1_cb.Items.Clear() : While (dr.Read()) : 使用者1_cb.Items.Add(dr("姓名")) : End While : conn.Close()
        使用者1_cb.Text = gUserName
        If 登入人級別 = "00" Then : 使用者1_cb.Visible = True : Else : 使用者1_cb.Visible = False : End If

        '-----------------------測試伺服器登入通知------------------------------------------------------------------------------------------------------------
        If 登入人IP = "106.1.48.106,4567" Then
            MGB("登入IP :  106.1.48.106,4567", 1)
        End If
    End Sub
    Private Sub HXGPSERPSYS_Unload(sender As Object, e As EventArgs) Handles MyBase.Closing
        系統關閉 = True : If 判斷重登 = True Then : 判斷重登 = False : Else : 判斷重登 = False : 計算機.Close() : End If
    End Sub
    Private Sub HXGPSERPSYS_SizeChanged(sender As Object, e As EventArgs) Handles MyBase.SizeChanged
        If 不變形 = True Then : Else : HXGPSERPSYS_Siz() : End If
    End Sub
    Private Sub 重登計時()
        timeNow = 0 : timeNow2 = 0 : Timer1.Enabled = False : Timer2.Enabled = False : Timer1.Enabled = True
    End Sub
    Private Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        timeNow += 1
        If (timeNow >= timeExit) Then
            Timer1.Enabled = False : Timer2.Enabled = True : 系統登出.ShowDialog()
            If 重登確認 = True And 主頁開啟 = True Then
                Timer1.Enabled = False : Timer2.Enabled = False
                判斷重登 = True : 重登確認 = False : 主頁開啟 = False : LoginForm1.Show() : Me.Close() : Exit Sub
            ElseIf 重登確認 = False And 主頁開啟 = True Then
                timeNow = 0 : Timer1.Enabled = True : Timer2.Enabled = False : timeNow2 = 0
            End If
        End If
    End Sub
    Private Sub Timer2_Tick(sender As Object, e As EventArgs) Handles Timer2.Tick
        Timer1.Enabled = False
        timeNow2 += 1
        If (timeNow2 >= timeExit2) Then
            Timer1.Enabled = False : Timer2.Enabled = False
            判斷重登 = True : 重登確認 = False : 主頁開啟 = False : LoginForm1.Show() : 系統登出.Close() : Me.Close() : Exit Sub
        End If
    End Sub
    Private Sub 重置()
        首次開啟 = True : 不變形 = True : 工人 = False
        BL = False : BL1 = False : BL2 = False : BL3 = False : BL4 = False : BL5 = False : BL6 = False : BL7 = False : BL8 = False
        NU1 = 0 : NU2 = 0 : NU3 = 0 : NU4 = 0 : NU5 = 0
        BBL1 = "" : BBL2 = "" : BBL3 = "" : BBL4 = "" : BBL5 = "" : BBL6 = "" : PA = "" : PA1 = "" : PA2 = "" : PA3 = "" : PA4 = "" : PA5 = "" : PA6 = "" : PA7 = "" : PA8 = "" : PA9 = ""
        PA10 = "" : PA11 = "" : PA12 = "" : PA13 = "" : PA14 = "" : PA15 = "" : PA16 = "" : PA17 = "" : PA18 = "" : PA19 = "" : PA20 = "" : PA21 = "" : PA22 = "" : PA23 = "" : PA24 = ""
        PA25 = "" : PA26 = "" : PA27 = "" : PA28 = "" : PA29 = "" : PA30 = "" : PA31 = "" : PA32 = "" : PA33 = "" : PA34 = "" : PA35 = "" : PA36 = "" : PA37 = "" : PA38 = "" : PA39 = ""
        PA40 = "" : PA41 = "" : PA42 = "" : PA43 = "" : PA44 = "" : PA45 = "" : PA46 = "" : PA47 = "" : PA48 = "" : PA49 = "" : PA50 = ""
        列印用SQL = "" : 列印用SQL2 = "" : PPAA = "" : DTP = "" : DTP1 = "" : DTP2 = "" : DTP3 = ""
        For i As Integer = 0 To 999 : H(i) = False : Next
    End Sub
    Private Sub 虛擬桌面隱藏()
        虛擬桌_pl.Visible = False
    End Sub
    Private Sub 捷徑設定()
        For I As Integer = 0 To NSD : If PA20 = 已選捷徑(I) Then : 捷徑關閉 = False : Exit For : End If : Next
    End Sub
    Private Sub HXGPSERPSYS_Siz()
        NSD = 0 : Dim Str As String = Application.StartupPath : For i As Integer = 0 To 100 : 已選捷徑(i) = "" : Next
        If File.Exists(Str + "\" & gUserName & ".txt") Then
            Dim filereader = My.Computer.FileSystem.OpenTextFileReader(Str + "\" & gUserName & ".txt", System.Text.Encoding.Default) : Dim line As String = filereader.ReadLine()
            While Not (line Is Nothing) : line = filereader.ReadLine() : 已選捷徑(NSD) = line : NSD += 1 : End While : filereader.Close() : 無設定 = False
        Else : 無設定 = True : End If

        Dim 位置X As Integer : Dim 位置Y As Integer = 82 : Dim 位置Y1 As Integer = 83 : Dim Y可放 As Integer : If 系統語言 = "繁體中文" Then : 位置X = 125 : Else : 位置X = 125 : End If
        Dim 視窗X As Integer = 虛擬桌_pl.Size.Width : Dim 視窗Y As Integer = 虛擬桌_pl.Size.Height
        Dim X可放 As Integer = 視窗X / 位置X : If 系統語言 = "繁體中文" Then : Y可放 = 視窗Y / 位置Y : Else : Y可放 = 視窗Y / 位置Y + 0 : End If
        Dim 總共可放 As Integer = X可放 * Y可放
        Dim X已放, Y已放, 已經放置 As Integer : Dim 段落3 As Boolean  '段落1, 段落2, 段落4

        '---------請採購---------------------------------------------------------------------------------------------------------------
        If 請購單核準_p.Visible = True Then : 段落3 = True : 請購單核準_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 請購單核準_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 請購單核準_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 採購單一級核准_p.Visible = True Then : 段落3 = True : 採購單一級核准_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 採購單一級核准_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 採購單一級核准_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 採購單一覽表_p.Visible = True Then : 段落3 = True : 採購單一覽表_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 採購單一覽表_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 採購單一覽表_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 供應商管理_p.Visible = True Then : 段落3 = True : 供應商管理_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 供應商管理_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 供應商管理_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 供應商商品單價設定_p.Visible = True Then : 段落3 = True : 供應商商品單價設定_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 供應商商品單價設定_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 供應商商品單價設定_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If
        '---------人事---------------------------------------------------------------------------------------------------------------
        If 人員薪資_p.Visible = True Then : 人員薪資_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 人員薪資_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 人員薪資_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If
        '---------財務---------------------------------------------------------------------------------------------------------------
        If 財務支付申請_p.Visible = True Then : 財務支付申請_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務支付申請_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務支付申請_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 財務支付審核_p.Visible = True Then : 財務支付審核_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務支付審核_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務支付審核_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 每月零用金設定_p.Visible = True Then : 每月零用金設定_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 每月零用金設定_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 每月零用金設定_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 財務報表1_p.Visible = True Then : 財務報表1_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務報表1_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務報表1_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 財務報表2_p.Visible = True Then : 財務報表2_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務報表2_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務報表2_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 財務報表3_p.Visible = True Then : 財務報表3_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務報表3_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務報表3_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        If 財務報表4_p.Visible = True Then : 財務報表4_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 財務報表4_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 財務報表4_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If
        '---------其他---------------------------------------------------------------------------------------------------------------
        If 系統執行檔版本管理_p.Visible = True Then : 系統執行檔版本管理_p.Size = New Point(位置X, 位置Y1)
            If 已經放置 = 0 Then : 系統執行檔版本管理_p.Location = New Point(0, 0) : X已放 = 0 : Y已放 = 1 : 已經放置 += 1
            Else : 系統執行檔版本管理_p.Location = New Point(X已放 * 位置X, Y已放 * 位置Y) : Y已放 += 1 : 已經放置 += 1 : If Y已放 >= Y可放 Then : X已放 += 1 : Y已放 = 0 : End If : End If
        End If

        延遲1.Enabled = True
    End Sub
    Private Sub 使用者1_cb_Click(sender As Object, e As EventArgs) Handles 使用者1_cb.Click
        gUserName = 使用者1_cb.Text
    End Sub
    Private Sub 系統語言1_cb_SelectedIndexChanged(sender As Object, e As EventArgs) Handles 系統語言1_cb.SelectedIndexChanged
        SYS_SET_tsm.Text = 系統語言1_cb.Text : 系統語言 = 系統語言1_cb.Text : 介面 = "H001" : 語言轉換讀取()
        '-------------------------------H0系列-系統---------------------------------------------------------------------------------------------------------------------------------------
        If H(3) = True Then : 介面 = "H003" : 桌面捷徑設定.語轉扭_bt.PerformClick() : End If
        '-------------------------------H0系列-財務---------------------------------------------------------------------------------------------------------------------------------------
        If H(314) = True Then : 介面 = "H314" : 財物支付單申請_傳票.語轉扭_bt.PerformClick() : End If : If H(612) = True Then : 介面 = "H612" : 每月零用金設定.語轉扭_bt.PerformClick() : End If
        '-------------------------------H2系列-採購---------------------------------------------------------------------------------------------------------------------------------------
        If H(202) = True Then : 介面 = "H202" : 請購單核准.語轉扭_bt.PerformClick() : End If : If H(206) = True Then : 介面 = "H206" : 採購單一級核准.語轉扭_bt.PerformClick() : End If
        '-------------------------------H6系列-人事---------------------------------------------------------------------------------------------------------------------------------------
        If H(611) = True Then : 介面 = "H611" : 人員薪資.語轉扭_bt.PerformClick() : End If

        Dim childForms() As Form = Me.MdiChildren : If childForms.Length = 0 Then : HXGPSERPSYS_Siz() : Else : End If : 不變形 = False

        系統語言 = 系統語言1_cb.Text
        Dim strDirName As String : Dim Strs As String = Application.StartupPath
        If File.Exists(Strs & "\LANGUAGE.txt") Then : File.Delete(Strs & "\LANGUAGE.txt") : End If
        strDirName = Strs & "\LANGUAGE.txt"
        Try
            Using fs As New IO.FileStream(strDirName, FileMode.Append)
                Using sw As New StreamWriter(fs, Encoding.Default)
                    Dim stra As String
                    If 系統語言 = "繁體中文" Then : stra = "CHER" : ElseIf 系統語言 = "English" Then : stra = "Engl"
                    ElseIf 系統語言 = "Indonesian" Then : stra = "Indo" : Else : stra = "CHER" : End If
                    sw.WriteLine(stra)   '插入一整行
                    sw.Flush()
                End Using
            End Using
        Catch ex As Exception : End Try
    End Sub

    '------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    Private Sub 桌面捷徑設定_tsm_Click(sender As Object, e As EventArgs) Handles 桌面捷徑設定_tsm.Click
        桌面捷徑設定.ShowDialog() : HXGPSERPSYS_Siz()
    End Sub

    Private Sub 請購單核準_tsm_Click(sender As Object, e As EventArgs) Handles 請購單核準_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 請購單核准.Show() : 請購單核准.BringToFront()
    End Sub
    Private Sub 請購單核準_pb_Click(sender As Object, e As EventArgs) Handles 請購單核準_pb.Click
        請購單核準_tsm.PerformClick()
    End Sub
    Private Sub 請購單核準_lb_Click(sender As Object, e As EventArgs) Handles 請購單核準_lb.Click
        請購單核準_tsm.PerformClick()
    End Sub
    Private Sub 採購單一級核准_tsm_Click(sender As Object, e As EventArgs) Handles 採購單一級核准_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 採購單一級核准.Show() : 採購單一級核准_pb.BringToFront()
    End Sub
    Private Sub 採購單一級核准_Click(sender As Object, e As EventArgs) Handles 採購單一級核准_pb.Click
        採購單一級核准_tsm.PerformClick()
    End Sub
    Private Sub 採購單一級核准_lb_Click(sender As Object, e As EventArgs) Handles 採購單一級核准_lb.Click
        採購單一級核准_tsm.PerformClick()
    End Sub
    Private Sub 採購單一覽表_tsm_Click(sender As Object, e As EventArgs) Handles 採購單一覽表_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 採購單歷史檔案.Show() : 採購單歷史檔案.BringToFront()
    End Sub
    Private Sub 採購單一覽表_pb_Click(sender As Object, e As EventArgs) Handles 採購單一覽表_pb.Click
        採購單一覽表_tsm.PerformClick()
    End Sub
    Private Sub 採購單一覽表_lb_Click(sender As Object, e As EventArgs) Handles 採購單一覽表_lb.Click
        採購單一覽表_tsm.PerformClick()
    End Sub
    Private Sub 供應商管理_tsm_Click(sender As Object, e As EventArgs) Handles 供應商管理_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 供應商管理.Show() : 供應商管理.BringToFront()
    End Sub
    Private Sub 供應商管理_pb_Click(sender As Object, e As EventArgs) Handles 供應商管理_pb.Click
        供應商管理_tsm.PerformClick()
    End Sub
    Private Sub 供應商管理_lb_Click(sender As Object, e As EventArgs) Handles 供應商管理_lb.Click
        供應商管理_tsm.PerformClick()
    End Sub
    Private Sub 供應商商品單價設定_tsm_Click(sender As Object, e As EventArgs) Handles 供應商商品單價設定_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 供應商商品單價設定.Show() : 供應商商品單價設定.BringToFront()
    End Sub
    Private Sub 供應商商品單價設定_pb_Click(sender As Object, e As EventArgs) Handles 供應商商品單價設定_pb.Click
        供應商商品單價設定_tsm.PerformClick()
    End Sub
    Private Sub 供應商商品單價設定_lb_Click(sender As Object, e As EventArgs) Handles 供應商商品單價設定_lb.Click
        供應商商品單價設定_tsm.PerformClick()
    End Sub

    Private Sub 人員薪資_tsm_Click(sender As Object, e As EventArgs) Handles 人員薪資_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        重登計時() : 重置() : If 登入人級別 = "00" Then : BL = False : Else : BL = True : End If
        虛擬桌面隱藏() : 人員薪資.Show() : 人員薪資.BringToFront()
    End Sub
    Private Sub 人員薪資_pb_Click(sender As Object, e As EventArgs) Handles 人員薪資_pb.Click
        人員薪資_tsm.PerformClick()
    End Sub
    Private Sub 人員薪資_lb_Click(sender As Object, e As EventArgs) Handles 人員薪資_lb.Click
        人員薪資_tsm.PerformClick()
    End Sub
    Private Sub 財務支付審核_tsm_Click(sender As Object, e As EventArgs) Handles 財務支付審核_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置()
        跨部門開啟 = True : 財物支付單申請_傳票.Show() : 財物支付單申請_傳票.BringToFront()
    End Sub
    Private Sub 財務支付審核_pb_Click(sender As Object, e As EventArgs) Handles 財務支付審核_pb.Click
        財務支付審核_tsm.PerformClick()
    End Sub
    Private Sub 財務支付審核_lb_Click(sender As Object, e As EventArgs) Handles 財務支付審核_lb.Click
        財務支付審核_tsm.PerformClick()
    End Sub
    Private Sub 財務支付申請_tsm_Click(sender As Object, e As EventArgs) Handles 財務支付申請_tsm.Click
        跨部門開啟 = False : 財物支付單申請_傳票.Show() : 財物支付單申請_傳票.BringToFront()
    End Sub
    Private Sub 財務支付申請_pb_Click(sender As Object, e As EventArgs) Handles 財務支付申請_pb.Click
        財務支付申請_tsm.PerformClick()
    End Sub
    Private Sub 財務支付申請_lb_Click(sender As Object, e As EventArgs) Handles 財務支付申請_lb.Click
        財務支付申請_tsm.PerformClick()
    End Sub
    Private Sub 每月零用金設定_tsm_Click(sender As Object, e As EventArgs) Handles 每月零用金設定_tsm.Click
        If 登入人級別 = "00" Then
            For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
            虛擬桌面隱藏() : 重登計時() : 重置() : 每月零用金設定.Show() : 每月零用金設定.BringToFront()
        Else
            每月零用金設定.ShowDialog()
        End If
    End Sub
    Private Sub 每月零用金設定_pb_Click(sender As Object, e As EventArgs) Handles 每月零用金設定_pb.Click
        每月零用金設定_tsm.PerformClick()
    End Sub
    Private Sub 每月零用金設定_lb_Click(sender As Object, e As EventArgs) Handles 每月零用金設定_lb.Click
        每月零用金設定_tsm.PerformClick()
    End Sub
    Private Sub 財務報表1_tsm_Click(sender As Object, e As EventArgs) Handles 財務報表1_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 財務報表1.Show() : 財務報表1.BringToFront()
    End Sub
    Private Sub 財務報表1_pb_Click(sender As Object, e As EventArgs) Handles 財務報表1_pb.Click
        財務報表1_tsm.PerformClick()
    End Sub
    Private Sub 財務報表1_lb_Click(sender As Object, e As EventArgs) Handles 財務報表1_lb.Click
        財務報表1_tsm.PerformClick()
    End Sub
    Private Sub 財務報表2_tsm_Click(sender As Object, e As EventArgs) Handles 財務報表2_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 財務報表2.Show() : 財務報表2.BringToFront()
    End Sub
    Private Sub 財務報表2_pb_Click(sender As Object, e As EventArgs) Handles 財務報表2_pb.Click
        財務報表2_tsm.PerformClick()
    End Sub
    Private Sub 財務報表2_lb_Click(sender As Object, e As EventArgs) Handles 財務報表2_lb.Click
        財務報表2_tsm.PerformClick()
    End Sub
    Private Sub 財務報表3_tsm_Click(sender As Object, e As EventArgs) Handles 財務報表3_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 財務報表3.Show() : 財務報表3.BringToFront()
    End Sub
    Private Sub 財務報表3_pb_Click(sender As Object, e As EventArgs) Handles 財務報表3_pb.Click
        財務報表3_tsm.PerformClick()
    End Sub
    Private Sub 財務報表3_lb_Click(sender As Object, e As EventArgs) Handles 財務報表3_lb.Click
        財務報表3_tsm.PerformClick()
    End Sub
    Private Sub 財務報表4_tsm_Click(sender As Object, e As EventArgs) Handles 財務報表4_tsm.Click
        For Each ChildForm As Form In Me.MdiChildren : ChildForm.Close() : Next
        虛擬桌面隱藏() : 重登計時() : 重置() : 財務報表4.Show() : 財務報表4.BringToFront()
    End Sub
    Private Sub 財務報表4_pb_Click(sender As Object, e As EventArgs) Handles 財務報表4_pb.Click
        財務報表4_tsm.PerformClick()
    End Sub
    Private Sub 財務報表4_lb_Click(sender As Object, e As EventArgs) Handles 財務報表4_lb.Click
        財務報表4_tsm.PerformClick()
    End Sub
    Private Sub 系統執行檔版本管理_tsm_Click(sender As Object, e As EventArgs) Handles 系統執行檔版本管理_tsm.Click
        重登計時() : 重置() : 系統執行檔版本管理.ShowDialog()
    End Sub
    Private Sub 系統執行檔版本管理_pb_Click(sender As Object, e As EventArgs) Handles 系統執行檔版本管理_pb.Click
        系統執行檔版本管理_tsm.PerformClick()
    End Sub
    Private Sub 系統執行檔版本管理_lb_Click(sender As Object, e As EventArgs) Handles 系統執行檔版本管理_lb.Click
        系統執行檔版本管理_tsm.PerformClick()
    End Sub
End Class
